Create an order
curl --request POST \
--url https://b.anny.co/api/v1/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"currency": "<string>",
"status": "<string>"
},
"relationships": {
"customer": {
"data": {
"type": "<string>",
"id": "<string>"
}
},
"bookings": {
"data": {
"type": "<string>",
"id": "<string>"
}
}
},
"meta": {}
}
}
'import requests
url = "https://b.anny.co/api/v1/orders"
payload = { "data": {
"type": "<string>",
"attributes": {
"currency": "<string>",
"status": "<string>"
},
"relationships": {
"customer": { "data": {
"type": "<string>",
"id": "<string>"
} },
"bookings": { "data": {
"type": "<string>",
"id": "<string>"
} }
},
"meta": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {currency: '<string>', status: '<string>'},
relationships: {
customer: {data: {type: '<string>', id: '<string>'}},
bookings: {data: {type: '<string>', id: '<string>'}}
},
meta: {}
}
})
};
fetch('https://b.anny.co/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "orders",
"attributes": {
"number": "<string>",
"currency": "<string>",
"total": 123,
"modification_total": 123,
"net_amount": 123,
"tax_amount": 123,
"discount_amount": 123,
"system_fee": 123,
"access_token": "<string>",
"note": "<string>",
"manually_created": true,
"has_payment": true,
"payment_settings": {},
"custom_entry_map": {},
"expires_at": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"bookings": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"customer": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"invoice": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"invoice_history": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"tmp_invoice": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"last_payment": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"payments": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"voucher": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"sub_orders": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"files": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"utm_tracker": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
}
}
}
}Orders & Billing
Create an order
POST
/
api
/
v1
/
orders
Create an order
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
An order groups one or more bookings into a single transaction with payment and invoicing.
Show child attributes
Show child attributes
⌘I